Retrieve a list of all vector stores in an organization that the user has access to.
List all vector stores in an organization that the user has access to. Supports filtering and search.
organization_id string required
The unique identifier of the organization.
search string optional
Search by vector store name.
access_mode string optional
Filter by access mode: public, organization, department, or private.
skip integer optional · Defaults to 0
Number of records to skip for pagination.
take integer optional · Defaults to 20
Number of records to return (1-100).
sort string optional · Defaults to created_at
Field to sort by.
order string optional · Defaults to desc
Sort order: asc or desc.
flowplate_project_id string optional
Filter vector stores by Flowplate project ID.
flow_id string optional
Filter vector stores by flow ID.
An array of Vector Store objects.
- Bash
- Python
- Python
- JavaScript
curl -X GET "https://api.aitronos.com/v1/organizations/org_abc123/vector-stores?skip=0&take=20&order=desc" \
-H "X-API-Key: $FREDDY_API_KEY"